From 84d8148369d36df6b06436efe83e911b47bcca42 Mon Sep 17 00:00:00 2001
From: Niklas Haas <git@haasn.dev>
Date: Thu, 14 Aug 2025 17:38:36 +0200
Subject: [PATCH 35/37] avfilter: add alpha_mode consistency assertion

---
 libavfilter/avfilter.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/libavfilter/avfilter.c b/libavfilter/avfilter.c
index f9b64810b8..169c2baa42 100644
--- a/libavfilter/avfilter.c
+++ b/libavfilter/avfilter.c
@@ -1081,6 +1081,8 @@ int ff_filter_frame(AVFilterLink *link, AVFrame *frame)
             av_assert1(frame->format        == link->format);
             av_assert1(frame->width         == link->w);
             av_assert1(frame->height        == link->h);
+            if (av_pix_fmt_desc_get(link->format)->flags & AV_PIX_FMT_FLAG_ALPHA)
+                av_assert1(frame->alpha_mode == link->alpha_mode);
         }
 
         frame->sample_aspect_ratio = link->sample_aspect_ratio;
-- 
2.49.1


